%define		php_name	php%{?php_suffix}
%define		modname		yaz
Summary:	%{modname} - a Z39.50 client for PHP
Summary(pl.UTF-8):	%{modname} - klient Z39.50 dla PHP
Name:		%{php_name}-pecl-%{modname}
Version:	1.1.6
Release:	4
License:	PHP v3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	b4d586861df602ed330da38c3136d86c
URL:		http://pecl.php.net/package/yaz/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	libxslt-devel
BuildRequires:	rpmbuild(macros) >= 1.650
BuildRequires:	yaz-devel >= 3.0.2
%{?requires_php_extension}
Suggests:	re2c >= 0.13.4
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-yaz < 1.1.6-3
Obsoletes:	php-yaz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension implements a Z39.50 client for PHP using the YAZ
toolkit.

Find more information at: <http://www.indexdata.dk/phpyaz/>
<http://www.indexdata.dk/yaz/>.

%description -l pl.UTF-8
To rozszerzenie implementuje klienta Z39.50 dla PHP za pomocą narzędzi
YAZ.

Więcej informacji można znaleźć na stronach:
<http://www.indexdata.dk/phpyaz/> <http://www.indexdata.dk/yaz/>.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Mon May 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-yaz.git;a=log;h=auto/th/php-pecl-yaz-1.1.6-4

* Sat May 17 2014 Elan Ruusamäe <glen@delfi.ee> 13b27e5
- fix obsoletes version
- release 4 (by relup.sh)

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 0b51407
- obsolete old php name
- release 3 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> dd3c01a
- provide php(extname) to really be supporting multiple php versions

* Thu Nov 21 2013 Elan Ruusamäe <glen@delfi.ee> a547c33
- up to 1.1.6

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> 917b0c6
- release 8 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> c8990f3
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 39b1c9d
- use php(core) as dependency to require php version
- release 6 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 5f9becb
- release 6 (by relup.sh)

* Mon May 23 2011 lisu <lisu@pld-linux.org> 2aa4a0a
- rel 5

* Fri Mar 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> df6026e
- release 4

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d923ad1
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 373c212
- release 2

* Mon Mar 16 2009 duddits <duddits@pld-linux.org> 971939c
- up to 1.0.14
- BR: yaz-devel >= 3.0.2
- S: re2c >= 0.13.4, if you want to regenerate PHP parsers

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3a9fbff
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> be16bed
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 3245cfe
- use new php extension related macros

* Sun Dec 24 2006 Adam Gołębiowski <adamg@pld-linux.org> c32bbb4
- updated to 1.0.8
- make use of php_webserver_restart macro
- BuildRequires: libxslt-devel

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> a1e67c6
- rel 2 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> dc6631a
- BR rpmmacros for fixed %requires_php_extension

* Sun Apr 23 2006 Adam Gołębiowski <adamg@pld-linux.org> cf316bd
- updated to 1.0.7

